[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Classes' (#rtl)

# TStream.WriteComponent

Write component data to the stream

## Declaration

Source position: classesh.inc line 958

`public procedure TStream.WriteComponent(`
`Instance: TComponent`
`);`

## Description

WriteComponent writes the published properties of Instance to the stream, so they can later be read with TStream.ReadComponent. This method is intended to be used by an IDE, to preserve the state of a form or datamodule as designed in the IDE.

WriteComponent simply calls WriteDescendant with Nil ancestor.

## See also

TStream.ReadComponent |  | Reads component data from a stream
TStream.WriteComponentRes |  | Write resource header and component data to a stream